# Transaction

| Attribute      | Type    | Description                                                            |
| -------------- | ------- | ---------------------------------------------------------------------- |
| id             | integer | Unique identifier for the transaction.                                 |
| number         | string  | Number of the transaction.                                             |
| reference      | string  | Reference of the transaction.                                          |
| date           | date    | Date of the transaction.                                               |
| user           | string  | User that created the transaction.                                     |
| creation\_date | date    | Created date.                                                          |
| creation\_time | time    | Created time.                                                          |
| description    | string  | Description of transaction.                                            |
| name           | string  | Name of transaction.                                                   |
| period         | string  | Period of transaction.                                                 |
| code           | integer | Code of transaction.                                                   |
| details        | array   | Details of the transaction (account,reference,amount,currency,credit). |
| labels         | string  | Comma separated lists of all labels linked to this transaction.        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gem-suite.com/api-reference/objects/transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
